Debian Bug report logs - #726233
dialog(1): String register not allowed for the NAME section in the manual

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>

Date: Sun, 13 Oct 2013 16:51:02 UTC

Severity: minor

Tags: patch, upstream

Found in version dialog/1.1-20120215-2

Fixed in version dialog/1.2-20140219-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#726233; Package dialog. (Sun, 13 Oct 2013 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjarni Ingi Gislason <bjarniig@rhi.hi.is>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 13 Oct 2013 16:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog(1): String register not allowed for the NAME section in the manual
Date: Sun, 13 Oct 2013 16:48:34 +0000
Package: dialog
Version: 1.1-20120215-2
Severity: minor
Tags: patch

Dear Maintainer,

  From "lexgrog ...":

dialog.1.gz: parse failed

  Input file is /usr/share/man/man1/dialog.1.gz

  Changes (desides the error):

  A dash for a range is \(en

  A minus is \-

  The word 'enviroments' changed to
           'environments'

  A full stop protected with \& if it ends (starts) a 'word' (string)

  Some minor formatting corrections (\/ between italic and roman)

  Patch:

--- dialog.1	2013-10-12 23:19:09.000000000 +0000
+++ dialog.1.new	2013-10-13 01:12:55.000000000 +0000
@@ -39,7 +39,7 @@
 .
 .TH \*D 1 "" "$Date: 2011/10/17 00:19:28 $"
 .SH NAME
-\*p \- display dialog boxes from shell scripts
+dialog \- display dialog boxes from shell scripts
 .SH SYNOPSIS
 \fB\*p --clear\fP
 .br
@@ -503,7 +503,7 @@ The day, month, year values in this case
 .IP "\fB--timeout \fIsecs"
 Timeout (exit with error code)
 if no user response within the given number of seconds.
-This is overridden if the background "\fB--tailboxbg\fP is used.
+This is overridden if the background "\fB--tailboxbg\/\fP" is used.
 A timeout of zero seconds is ignored.
 .
 .IP "\fB--title \fItitle"
@@ -792,7 +792,7 @@ The \fIitem\fP is a short description of
 The user can move between the menu entries by pressing the
 cursor keys, the first letter of the \fItag\fP
 as a hot-key, or the number keys
-.IR 1-9 ". There are"
+.IR 1\(en9 ". There are"
 \fImenu-height\fP
 entries displayed in the menu at one time, but the menu will be
 scrolled if there are more entries than that.
@@ -1245,7 +1245,7 @@ Extra (3),
 Help (2),
 Help with \fB--item-help\fP (2),
 or OK (0).
-Normally shell scripts cannot distinguish between -1 and 255.
+Normally shell scripts cannot distinguish between \-1 and 255.
 .TP 15
 \fBDIALOG_TTY\fP
 Set this variable to "1" to provide compatibility with older versions
@@ -1291,7 +1291,7 @@ button is pressed (DIALOG_HELP),
 or the \fB--item-help\fP option is set
 when the \fBHelp\fP button is pressed (DIALOG_ITEM_HELP),
 .TP 5
--1
+\-1
 if errors occur inside \fB\*p\fP (DIALOG_ERROR)
 or \fB\*p\fP is exited by pressing the \fIESC\fP key (DIALOG_ESC).
 .
@@ -1371,7 +1371,7 @@ whiptail(1) is a lightweight replacement
 to provide dialog boxes for shell scripts.
 It is built on the
 newt windowing library rather than the ncurses library, allowing
-it to be smaller in embedded enviroments such as installers,
+it to be smaller in embedded environments such as installers,
 rescue disks, etc.
 .sp
 whiptail is designed to be drop-in compatible with \*p, but
@@ -1426,11 +1426,11 @@ l l.
 Perhaps.
 .SH AUTHOR
 .LP
-Thomas E. Dickey (updates for 0.9b and beyond)
+Thomas E.\& Dickey (updates for 0.9b and beyond)
 .SH CONTRIBUTORS
 Kiran Cherupally - the mixed form and mixed gauge widgets.
 .LP
-Tobias C. Rittweiler
+Tobias C.\& Rittweiler
 .LP
 Valery Reznic - the form and progressbox widgets.
 .LP


-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i586)

Kernel: Linux 3.2.46-1-rt67-1
Locale: LANG=is_IS, LC_CTYPE=is_IS (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils   4.3.2
ii  libc6         2.13-38
ii  libncursesw5  5.9-10
ii  libtinfo5     5.9-10

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information

-- 
Bjarni I. Gislason



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. (Wed, 12 Feb 2014 16:57:22 GMT) Full text and rfc822 format available.

Message #8 received at 726233-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 726233-forwarded@bugs.debian.org, Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
Subject: Bug#726233: dialog(1): String register not allowed for the NAME section in the manual (fwd)
Date: Wed, 12 Feb 2014 17:47:34 +0100 (CET)
Hello.

I received this report from the Debian BTS.

---------- Forwarded message ----------
From: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Sun, 13 Oct 2013 16:48:34 +0000
Subject: Bug#726233: dialog(1): String register not allowed for the NAME section
     in the manual

Package: dialog
Version: 1.1-20120215-2
Severity: minor
Tags: patch

Dear Maintainer,

  From "lexgrog ...":

dialog.1.gz: parse failed

  Input file is /usr/share/man/man1/dialog.1.gz

  Changes (desides the error):

  A dash for a range is \(en

  A minus is \-

  The word 'enviroments' changed to
           'environments'

  A full stop protected with \& if it ends (starts) a 'word' (string)

  Some minor formatting corrections (\/ between italic and roman)

  Patch:

--- dialog.1	2013-10-12 23:19:09.000000000 +0000
+++ dialog.1.new	2013-10-13 01:12:55.000000000 +0000
@@ -39,7 +39,7 @@
 .
 .TH \*D 1 "" "$Date: 2011/10/17 00:19:28 $"
 .SH NAME
-\*p \- display dialog boxes from shell scripts
+dialog \- display dialog boxes from shell scripts
 .SH SYNOPSIS
 \fB\*p --clear\fP
 .br
@@ -503,7 +503,7 @@ The day, month, year values in this case
 .IP "\fB--timeout \fIsecs"
 Timeout (exit with error code)
 if no user response within the given number of seconds.
-This is overridden if the background "\fB--tailboxbg\fP is used.
+This is overridden if the background "\fB--tailboxbg\/\fP" is used.
 A timeout of zero seconds is ignored.
 .
 .IP "\fB--title \fItitle"
@@ -792,7 +792,7 @@ The \fIitem\fP is a short description of
 The user can move between the menu entries by pressing the
 cursor keys, the first letter of the \fItag\fP
 as a hot-key, or the number keys
-.IR 1-9 ". There are"
+.IR 1\(en9 ". There are"
 \fImenu-height\fP
 entries displayed in the menu at one time, but the menu will be
 scrolled if there are more entries than that.
@@ -1245,7 +1245,7 @@ Extra (3),
 Help (2),
 Help with \fB--item-help\fP (2),
 or OK (0).
-Normally shell scripts cannot distinguish between -1 and 255.
+Normally shell scripts cannot distinguish between \-1 and 255.
 .TP 15
 \fBDIALOG_TTY\fP
 Set this variable to "1" to provide compatibility with older versions
@@ -1291,7 +1291,7 @@ button is pressed (DIALOG_HELP),
 or the \fB--item-help\fP option is set
 when the \fBHelp\fP button is pressed (DIALOG_ITEM_HELP),
 .TP 5
--1
+\-1
 if errors occur inside \fB\*p\fP (DIALOG_ERROR)
 or \fB\*p\fP is exited by pressing the \fIESC\fP key (DIALOG_ESC).
 .
@@ -1371,7 +1371,7 @@ whiptail(1) is a lightweight replacement
 to provide dialog boxes for shell scripts.
 It is built on the
 newt windowing library rather than the ncurses library, allowing
-it to be smaller in embedded enviroments such as installers,
+it to be smaller in embedded environments such as installers,
 rescue disks, etc.
 .sp
 whiptail is designed to be drop-in compatible with \*p, but
@@ -1426,11 +1426,11 @@ l l.
 Perhaps.
 .SH AUTHOR
 .LP
-Thomas E. Dickey (updates for 0.9b and beyond)
+Thomas E.\& Dickey (updates for 0.9b and beyond)
 .SH CONTRIBUTORS
 Kiran Cherupally - the mixed form and mixed gauge widgets.
 .LP
-Tobias C. Rittweiler
+Tobias C.\& Rittweiler
 .LP
 Valery Reznic - the form and progressbox widgets.
 .LP


-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i586)

Kernel: Linux 3.2.46-1-rt67-1
Locale: LANG=is_IS, LC_CTYPE=is_IS (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils   4.3.2
ii  libc6         2.13-38
ii  libncursesw5  5.9-10
ii  libtinfo5     5.9-10

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information

-- 
Bjarni I. Gislason



Added tag(s) upstream. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Thu, 06 Mar 2014 14:57:08 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Thu, 06 Mar 2014 15:36:14 GMT) Full text and rfc822 format available.

Notification sent to Bjarni Ingi Gislason <bjarniig@rhi.hi.is>:
Bug acknowledged by developer. (Thu, 06 Mar 2014 15:36:14 GMT) Full text and rfc822 format available.

Message #15 received at 726233-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 726233-close@bugs.debian.org
Subject: Bug#726233: fixed in dialog 1.2-20140219-1
Date: Thu, 06 Mar 2014 15:34:57 +0000
Source: dialog
Source-Version: 1.2-20140219-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726233@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 06 Mar 2014 15:49:40 +0100
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.2-20140219-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 726233 739180 739181
Changes: 
 dialog (1.2-20140219-1) unstable; urgency=medium
 .
   * New upstream release. Fixes manpage bugs.
     Closes: #726233, #739180, #739181.
Checksums-Sha1: 
 0fa618d3ea7861d06d74ab34bfc4c075ac3bc142 1406 dialog_1.2-20140219-1.dsc
 50b70508254afe678265eed28654e629853649b1 453535 dialog_1.2-20140219.orig.tar.gz
 9d95c09a4d61b23488df0ec84c6620536669b507 10076 dialog_1.2-20140219-1.debian.tar.xz
 816c9853d891291290266286f2ad7cd38f97d6b8 249456 dialog_1.2-20140219-1_amd64.deb
Checksums-Sha256: 
 bb52a00b7c90bafa2cfbcce3f1464d8dbfa9a78d7b931e6bb5f5208b8885a8f1 1406 dialog_1.2-20140219-1.dsc
 ccf07eedf147ac901aff1d984ab63ddd6986b615ddf67435f270d5462ea4ca81 453535 dialog_1.2-20140219.orig.tar.gz
 87f4d5cfd3e33bc5633c3e5290d4711c1aedf9f74fea8cc436a2374410de3953 10076 dialog_1.2-20140219-1.debian.tar.xz
 5087c40dc1654e7d06584466e979d91863cc005d49ae58cfa803cef8c53ae98c 249456 dialog_1.2-20140219-1_amd64.deb
Files: 
 778a125847b7540b3313e40971a5873f 1406 misc optional dialog_1.2-20140219-1.dsc
 4ed9b2f1162eb7706857338d11e70f8e 453535 misc optional dialog_1.2-20140219.orig.tar.gz
 58c26bd61bf175850b08be39033ba3dc 10076 misc optional dialog_1.2-20140219-1.debian.tar.xz
 bd462961e9597e2e98d64be58b44aced 249456 misc optional dialog_1.2-20140219-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBCAAGBQJTGIzuAAoJEEHOfwufG4syzpIH/RaeVuJQu1QEAUoUPV4s0p7Y
MoC6G8bGhtCOxx6SUI16xzXlOP4GX+dt1pNtljYJfEGy3+33GbefptJpHIqQ5BTT
VxHF7nr1A5CKWglHb4BkspqhzdG2wi1+RGnuhq5aRZWpWUz7cW1aPts5C2W/1I7C
yag1ifzifI9qxF4L7MUkJPVNrvXvUvjOUAxl2JcnXRKKHVjw3rgJvfS3N5YWLgx/
bTO4I3sUL1S5R2I/51pnrzoSc+dRhiEpQf82h2zdZEgXhttqYPJEXNEPnHMnZrdB
f0kqx3vb5pfjB802au4JKEEFbInVAv7jIdbrtFKZTJXkXMVTsa237DAzin8sPtM=
=ovDn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Apr 2014 07:28:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:39:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.